public inbox for gentoo-commits@lists.gentoo.org
 help / color / mirror / Atom feed
From: "Andreas Sturmlechner" <asturm@gentoo.org>
To: gentoo-commits@lists.gentoo.org
Subject: [gentoo-commits] repo/gentoo:master commit in: dev-libs/libpqxx/
Date: Thu, 18 May 2023 15:41:16 +0000 (UTC)	[thread overview]
Message-ID: <1684424470.29d9cabb15b997c734c258f446d35a89375d4a4a.asturm@gentoo> (raw)

commit:     29d9cabb15b997c734c258f446d35a89375d4a4a
Author:     Andreas Sturmlechner <asturm <AT> gentoo <DOT> org>
AuthorDate: Thu May 18 14:02:12 2023 +0000
Commit:     Andreas Sturmlechner <asturm <AT> gentoo <DOT> org>
CommitDate: Thu May 18 15:41:10 2023 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=29d9cabb

dev-libs/libpqxx: drop 7.4.1, 7.7.4

Signed-off-by: Andreas Sturmlechner <asturm <AT> gentoo.org>

 dev-libs/libpqxx/Manifest             |  2 -
 dev-libs/libpqxx/libpqxx-7.4.1.ebuild | 78 ----------------------------------
 dev-libs/libpqxx/libpqxx-7.7.4.ebuild | 79 -----------------------------------
 3 files changed, 159 deletions(-)

diff --git a/dev-libs/libpqxx/Manifest b/dev-libs/libpqxx/Manifest
index 5eed6c0dc3a6..380122efe07c 100644
--- a/dev-libs/libpqxx/Manifest
+++ b/dev-libs/libpqxx/Manifest
@@ -1,3 +1 @@
-DIST libpqxx-7.4.1.tar.gz 702581 BLAKE2B 9190b62eaf4cee188e32611acfc938a4111e5ea510df50e424ebd3b6c73fe91dfc8fecd5f889dc2af95756f04c87a410a136cd4b4d6d1f276ce2e5fc26906df3 SHA512 a30a9f5ca87944922c9a3bd92d53392855ac3b2760cb7c21411caf364e443c25d1b2d4b4022e60ff7b30bc530fc3223ab3983325217d47fd7d71375c165c8c21
-DIST libpqxx-7.7.4.tar.gz 745900 BLAKE2B 2306ca1481cb36d32a5911452944404d90760890dfa1f78eca1f9bd0aa8b194484f4a82f15eca2bb37ea9dc80baa81dba5dee45255c04ed7df7aaa01920747ad SHA512 dd8fc9887eec81356d3c6cbcd11543e76bda8caebc770851bb6cf6e3eb5284ef33fc45f6de54c4cc902e07b06a8064f141841ad041addcc0e669d19486b7b4e1
 DIST libpqxx-7.7.5.tar.gz 745921 BLAKE2B 0ca9b36aecc96a436023621a1fcfcac2732443fe9d85507a64b511914a606a05f1a1d7e569dbf893d47412fb4040d02c0af2c8de280335d1f7a43240464df59d SHA512 78f1f17f5083347cfce607349d4f62be2878c41150c4afd1f26844dc796d0fe190b387b295e1b6bf9d81a26a0ebe1d82597fa651227c3a1cfe3acbd02ea7246c

diff --git a/dev-libs/libpqxx/libpqxx-7.4.1.ebuild b/dev-libs/libpqxx/libpqxx-7.4.1.ebuild
deleted file mode 100644
index 6499c690a71b..000000000000
--- a/dev-libs/libpqxx/libpqxx-7.4.1.ebuild
+++ /dev/null
@@ -1,78 +0,0 @@
-# Copyright 1999-2023 Gentoo Authors
-# Distributed under the terms of the GNU General Public License v2
-
-EAPI=7
-
-PYTHON_COMPAT=( python3_{9..10} )
-inherit python-any-r1
-
-KEYWORDS="~alpha amd64 ~hppa ~ia64 ppc ppc64 sparc x86"
-
-DESCRIPTION="Standard front-end for writing C++ programs that use PostgreSQL"
-SRC_URI="https://github.com/jtv/${PN}/archive/${PV}.tar.gz -> ${P}.tar.gz"
-HOMEPAGE="http://pqxx.org/development/libpqxx/"
-LICENSE="BSD"
-SLOT="0"
-IUSE="doc static-libs"
-
-RDEPEND="dev-db/postgresql:="
-DEPEND="${RDEPEND}"
-BDEPEND="${PYTHON_DEPS}
-	doc? (
-		app-doc/doxygen
-		app-text/xmlto
-	)
-"
-
-DOCS=( AUTHORS NEWS README{.md,-UPGRADE} )
-
-src_configure() {
-	econf \
-		--enable-shared \
-		$(use_enable doc documentation) \
-		$(use_enable static-libs static)
-}
-
-src_test() {
-	einfo "The tests need a running PostgreSQL server and an existing database."
-	einfo "Test requires PGDATABASE and PGUSER to be set at a minimum. Optionally,"
-	einfo "set PGPORT and PGHOST. Define them at the command line or in:"
-	einfo "    ${BROOT}/etc/libpqxx_test_env"
-
-	if [[ -z $PGDATABASE || -z $PGUSER ]] ; then
-		if [[ -f ${BROOT}/etc/libpqxx_test_env ]] ; then
-			source "${BROOT}/etc/libpqxx_test_env"
-			[[ -n $PGDATABASE ]] && export PGDATABASE
-			[[ -n $PGHOST ]] && export PGHOST
-			[[ -n $PGPORT ]] && export PGPORT
-			[[ -n $PGUSER ]] && export PGUSER
-		fi
-	fi
-
-	if [[ -n $PGDATABASE && -n $PGUSER ]] ; then
-		local server_version
-		server_version=$(psql -Aqtc 'SELECT version();' 2> /dev/null)
-		if [[ $? = 0 ]] ; then
-			cd "${S}/test" || die
-			emake check
-		else
-			eerror "Is the server running?"
-			eerror "Verify role and database exist, and are permitted in pg_hba.conf for:"
-			eerror "    Role: ${PGUSER}"
-			eerror "    Database: ${PGDATABASE}"
-			die "Couldn't connect to server."
-		fi
-	else
-		eerror "PGDATABASE and PGUSER must be set to perform tests."
-		eerror "Skipping tests."
-	fi
-}
-
-src_install () {
-	use doc && HTML_DOCS=( doc/html/. )
-	default
-
-	if ! use static-libs; then
-		find "${D}" -name '*.la' -delete || die
-	fi
-}

diff --git a/dev-libs/libpqxx/libpqxx-7.7.4.ebuild b/dev-libs/libpqxx/libpqxx-7.7.4.ebuild
deleted file mode 100644
index 45c9d1648fa7..000000000000
--- a/dev-libs/libpqxx/libpqxx-7.7.4.ebuild
+++ /dev/null
@@ -1,79 +0,0 @@
-# Copyright 1999-2023 Gentoo Authors
-# Distributed under the terms of the GNU General Public License v2
-
-EAPI=7
-
-PYTHON_COMPAT=( python3_{9..10} )
-inherit python-any-r1
-
-KEYWORDS="~alpha ~amd64 ~hppa ~ia64 ~ppc ~ppc64 ~sparc ~x86"
-
-DESCRIPTION="Standard front-end for writing C++ programs that use PostgreSQL"
-SRC_URI="https://github.com/jtv/${PN}/archive/${PV}.tar.gz -> ${P}.tar.gz"
-HOMEPAGE="http://pqxx.org/development/libpqxx/"
-LICENSE="BSD"
-# SONAME version is equal to major.minor
-SLOT="0/$(ver_cut 1-2)"
-IUSE="doc static-libs"
-
-RDEPEND="dev-db/postgresql:="
-DEPEND="${RDEPEND}"
-BDEPEND="${PYTHON_DEPS}
-	doc? (
-		app-doc/doxygen
-		app-text/xmlto
-	)
-"
-
-DOCS=( AUTHORS NEWS README.md )
-
-src_configure() {
-	econf \
-		--enable-shared \
-		$(use_enable doc documentation) \
-		$(use_enable static-libs static)
-}
-
-src_test() {
-	einfo "The tests need a running PostgreSQL server and an existing database."
-	einfo "Test requires PGDATABASE and PGUSER to be set at a minimum. Optionally,"
-	einfo "set PGPORT and PGHOST. Define them at the command line or in:"
-	einfo "    ${BROOT}/etc/libpqxx_test_env"
-
-	if [[ -z $PGDATABASE || -z $PGUSER ]] ; then
-		if [[ -f ${BROOT}/etc/libpqxx_test_env ]] ; then
-			source "${BROOT}/etc/libpqxx_test_env"
-			[[ -n $PGDATABASE ]] && export PGDATABASE
-			[[ -n $PGHOST ]] && export PGHOST
-			[[ -n $PGPORT ]] && export PGPORT
-			[[ -n $PGUSER ]] && export PGUSER
-		fi
-	fi
-
-	if [[ -n $PGDATABASE && -n $PGUSER ]] ; then
-		local server_version
-		server_version=$(psql -Aqtc 'SELECT version();' 2> /dev/null)
-		if [[ $? = 0 ]] ; then
-			cd "${S}/test" || die
-			emake check
-		else
-			eerror "Is the server running?"
-			eerror "Verify role and database exist, and are permitted in pg_hba.conf for:"
-			eerror "    Role: ${PGUSER}"
-			eerror "    Database: ${PGDATABASE}"
-			die "Couldn't connect to server."
-		fi
-	else
-		eerror "PGDATABASE and PGUSER must be set to perform tests."
-		eerror "Skipping tests."
-	fi
-}
-
-src_install () {
-	use doc && HTML_DOCS=( doc/html/. )
-	default
-
-	if ! use static-libs; then
-		find "${D}" -name '*.la' -delete || die
-	fi
-}


             reply	other threads:[~2023-05-18 15:41 UTC|newest]

Thread overview: 60+ messages / expand[flat|nested]  mbox.gz  Atom feed  top
2023-05-18 15:41 Andreas Sturmlechner [this message]
  -- strict thread matches above, loose matches on Subject: below --
2024-06-11 17:02 [gentoo-commits] repo/gentoo:master commit in: dev-libs/libpqxx/ Andreas Sturmlechner
2024-06-11 17:02 Andreas Sturmlechner
2023-12-29  6:58 Arthur Zamarin
2023-05-01  6:02 Arthur Zamarin
2023-05-01  4:15 Sam James
2023-05-01  2:27 Sam James
2023-05-01  2:26 Sam James
2023-04-30 23:50 Sam James
2023-04-30 16:44 Arthur Zamarin
2023-04-29 22:28 Andreas Sturmlechner
2022-07-03 12:01 Aaron W. Swenson
2022-07-03 10:52 Agostino Sarubbo
2022-07-03 10:50 Agostino Sarubbo
2022-07-03 10:48 Agostino Sarubbo
2022-07-02 16:24 Jakov Smolić
2022-07-02 16:24 Jakov Smolić
2022-06-09  1:20 Sam James
2022-06-09  1:20 Sam James
2022-06-09  1:20 Sam James
2021-03-03 10:52 Aaron W. Swenson
2021-01-04 15:32 Sam James
2020-12-27 12:28 Sergei Trofimovich
2020-12-27 11:38 Sergei Trofimovich
2020-12-26  0:08 Sam James
2020-12-18 14:58 Aaron W. Swenson
2020-11-23 11:33 Aaron W. Swenson
2020-09-24 10:24 Aaron W. Swenson
2020-09-20 20:21 Agostino Sarubbo
2020-09-13  8:44 Sergei Trofimovich
2020-09-13  8:38 Sergei Trofimovich
2020-09-13  8:30 Sergei Trofimovich
2020-07-30  4:27 Aaron W. Swenson
2019-08-05  9:49 Aaron W. Swenson
2019-07-31 12:09 Agostino Sarubbo
2019-07-26 21:32 Sergei Trofimovich
2019-07-26 10:43 Agostino Sarubbo
2019-07-26  9:53 Agostino Sarubbo
2019-07-26  8:38 Agostino Sarubbo
2019-07-25 18:31 Sergei Trofimovich
2019-07-24 20:49 Thomas Deutschmann
2019-06-23  9:58 Aaron W. Swenson
2018-05-15 20:01 Aaron Swenson
2018-03-20 22:44 Sergei Trofimovich
2018-03-18 20:09 Sergei Trofimovich
2018-03-03 12:14 Tobias Klausmann
2018-02-10 15:18 Sergei Trofimovich
2018-02-10  0:32 Thomas Deutschmann
2018-02-08 22:13 Sergei Trofimovich
2018-01-05 14:38 Aaron Swenson
2018-01-04 17:00 Mikle Kolyada
2017-12-29 17:41 Sergei Trofimovich
2017-12-25 18:29 Sergei Trofimovich
2017-12-25 11:01 Sergei Trofimovich
2017-12-15 15:15 Aaron Swenson
2017-09-17 19:59 Andreas Sturmlechner
2017-09-17 19:59 Andreas Sturmlechner
2017-08-10 18:35 Andreas Sturmlechner
2017-08-10 12:40 Aaron Swenson
2017-07-10 16:39 Aaron Swenson

Reply instructions:

You may reply publicly to this message via plain-text email
using any one of the following methods:

* Save the following mbox file, import it into your mail client,
  and reply-to-all from there: mbox

  Avoid top-posting and favor interleaved quoting:
  https://en.wikipedia.org/wiki/Posting_style#Interleaved_style

* Reply using the --to, --cc, and --in-reply-to
  switches of git-send-email(1):

  git send-email \
    --in-reply-to=1684424470.29d9cabb15b997c734c258f446d35a89375d4a4a.asturm@gentoo \
    --to=asturm@gentoo.org \
    --cc=gentoo-commits@lists.gentoo.org \
    --cc=gentoo-dev@lists.gentoo.org \
    /path/to/YOUR_REPLY

  https://kernel.org/pub/software/scm/git/docs/git-send-email.html

* If your mail client supports setting the In-Reply-To header
  via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox